PDA

View Full Version : Overwriting 3.6.8 tables to vB 3.7.0 Gold !!


veenuisthebest
29 Apr 2008, 20:23
Hello,

Please tell me, would it be safe enough to copy my 3.6.8 DB to latest 3.7 Gold overwriting all the existing tables.

I have installed vB 3.7 to a new location and want to start everything from the beginning (i.e. want to drop all mods and hacks I applied on older vB) BUT definitely want to save my members info, posts and everything else..

I have the SQL dump on my PC of vB 3.6.8. and have installed a fresh copy of 3.7.0 Gold onto a new location. SOOOO... it it okay if I simply overwrite my 3.7.0 tables with the older ones.

Does the tables of 3.7 have some new columns that do not exist in the common tables of 3.6.8 ?? If this is the case, I would definitely be losing some of the new features of 3.7.. isn't it ??

please reply ..

thankss

royo
29 Apr 2008, 20:40
One of the things you should make sure is that your vB 3.6.8 doesn't have extra fields in the tables as that will cause problems too, since they might be from mods and need to be deleted.

veenuisthebest
29 Apr 2008, 20:46
thanks for your reply !!

there are definitely lots of extra tables and extra fields in existing tables !!...

what should I do ??

Zachery
29 Apr 2008, 20:52
Upgrade your 3.6.8, dont even try what you're thinking, it will completely destroy your database.

veenuisthebest
29 Apr 2008, 20:54
i got it !!!!

thank you

King Kovifor
29 Apr 2008, 21:35
Use Impex to import your data if you really want to start anew.

Zachery
29 Apr 2008, 21:48
Use Impex to import your data if you really want to start anew.
No, you really shouldn't use impex for this, it drasticly alters your original database for 5 times the work it would have taken to simply uninstall and remove your modifications.

Marco van Herwaarden
30 Apr 2008, 09:10
...and it is not even released for 3.7 yet. ;)

King Kovifor
30 Apr 2008, 20:35
...and it is not even released for 3.7 yet. ;)

Thought it came out with the release of 3.7... Guess I was mistaken.

Dismounted
01 May 2008, 07:49
ImpEx works with 3.7.x now, I think.

Marco van Herwaarden
01 May 2008, 09:02
Why do you think that? There has been no post on vB.com announcing a new version, I think.

Dismounted
01 May 2008, 09:29
http://www.vbulletin.com/forum/showthread.php?p=1551551#post1551551
:)

King Kovifor
05 May 2008, 00:00
Why do you think that? There has been no post on vB.com announcing a new version, I think.

http://www.vbulletin.com/forum/showpost.php?p=1552562&postcount=18

Neutral Singh
05 May 2008, 09:23
Using Impex will change your thread ids in some cases and that will kill your Search Engine rankings. I had to finally upgrade my database on as is basis. Will have to do the cleanup job manually though...